Skip to Content
EIS
API Referencev1VoIP DSS

Update DSS Gateway IP Settings

PUT
/v1/voip/dss/gtw/settings/ip/{idGtw}/{organizationId}

Update the primary and secondary IP settings of a DSS gateway.

Path Parameters

idGtw*integer

DSS gateway identifier

organizationId*integer

Organization identifier. The API also provides an alternative route without this path segment; that route uses the authenticated user's organization.

Request Body

application/json
  1. body

Request payload for updating DSS gateway IP settings.

ipAddress?string

Primary IP address

port?string

Primary SIP port

secondaryIP?string

Secondary IP address

portSecondary?string

Secondary SIP port

Response Body

DSS resource updated successfully.

Example Request
curl -X PUT 'https://api.eis.it/v1/voip/dss/gtw/settings/ip/0/0' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
Empty